//
// JmsaXAQueueSession.java - JMS Adapter XAQueueSession
//
// Unfortunately XAQueueSession doesn't extend QueueSession,
// hence the need for the getQueueSession method below.
//

package nyangau.jmsadapter;

import java.io.Serializable;
import javax.jms.*;

public class JmsaXAQueueSession extends JmsaXASession implements XAQueueSession
  {
  protected JmsaQueueSession qs;
//...sJmsaXAQueueSession:2:
public JmsaXAQueueSession(XAQueueSession sess, JmsaConnection conn, FlowProcessor flowproc)
  throws JMSException
  {
  super(sess, conn, flowproc);
  qs = new JmsaQueueSession( sess.getQueueSession(), conn, flowproc );
  }
//...e
//...sgetQueueSession:2:
public QueueSession getQueueSession()
  throws JMSException
  { return qs; }
//...e
  }
